1. V3 - Partner
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
        • Search transactions
        • Make a transfer
        • Confirm a transaction
        • Reverse a deposit transaction
        • Get transaction receipt
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
        • Read Invoices
      • V3 - Partner
        • Search partner transactions
          GET
      • V3 - User Address
        • Create or get User Address
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
        • Read Payments
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - Partner

Search partner transactions

GET
/v3/partner/transactions
Busca transacciones de todas las companies asignadas al partner.
A diferencia de GET /v3/transaction/search que filtra por una company especifica,
este endpoint retorna transacciones de todas las companies del partner.

Autenticacion#

Solo requiere validatePartnerSignature (no necesita header x-company-id).

Parametros de Query#

Mismos parametros que GET /v3/transaction/search:
ParametroTipoDescripcion
fromDatestring (ISO 8601)Fecha inicio del rango
toDatestring (ISO 8601)Fecha fin del rango
typesarrayFiltrar por tipos: DEPOSIT, WITHDRAWAL, etc.
tagsarrayFiltrar por etiquetas
statesarrayFiltrar por estados
externalIdstringBuscar por ID externo
nameAmountFilterstringBuscar por nombre o monto
cursornumberID para paginacion
pageSizenumberResultados por pagina (default: 10)

Respuesta#

{
  "transactions": [...],
  "pageSize": 10,
  "cursor": 12345,
  "hasMore": true,
  "maxItems": 100
}

Request

Query Params

Responses

🟢200OK
application/json
Successful response
Body

🟠401Unauthorized
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.develop.cresium.app/v3/partner/transactions?fromDate&toDate&externalId&sendingFromDate&sendingToDate&scheduledTransactions&types&tags&states&orderBy&nameAmountFilter&cursor&pageSize&depositAddressIds'
Response Response Example
200 - Example 1
{
    "data": {
        "transactions": [
            {
                "id": 0,
                "type": "DEPOSIT",
                "status": "PREVIEW",
                "externalId": "string",
                "currencyId": 0,
                "currency": {
                    "symbol": "string",
                    "code": "ARS",
                    "image": "string",
                    "decimals": 0
                },
                "fromId": 0,
                "toId": 0,
                "from": {
                    "id": 0,
                    "type": "CVU",
                    "value": "string",
                    "bankName": "string",
                    "ownerName": "string",
                    "img": "string",
                    "uuid": "string"
                },
                "to": {
                    "id": 0,
                    "type": "CVU",
                    "value": "string",
                    "bankName": "string",
                    "ownerName": "string",
                    "img": "string",
                    "uuid": "string"
                },
                "companyId": 0,
                "collaboratorId": 0,
                "collaborator": {
                    "id": 0,
                    "firstName": "string",
                    "lastName": "string",
                    "image": "string",
                    "email": "string",
                    "role": "OWNER",
                    "phone": "string",
                    "birthDate": "2019-08-24T14:15:22.123Z",
                    "status": "CREATED"
                },
                "walletId": 0,
                "tag": "RENTAL",
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z",
                "processedAt": "2019-08-24T14:15:22.123Z",
                "totalAmount": 0,
                "netAmount": 0,
                "bulkTransactionId": 0,
                "amounts": [
                    {
                        "id": 0,
                        "transactionId": 0,
                        "type": "FEE",
                        "amount": 0,
                        "key": "string"
                    }
                ],
                "recipients": [
                    {
                        "type": "EMAIL",
                        "value": "string"
                    }
                ],
                "billPayment": {
                    "companyName": "string",
                    "debtIdentifier": "string",
                    "expirationDate": "string"
                },
                "sendingDate": "2019-08-24T14:15:22.123Z",
                "depositAddress": {
                    "id": 0,
                    "type": "CVU",
                    "value": "string",
                    "externalId": "string",
                    "currencyId": 0,
                    "currency": {
                        "symbol": "string",
                        "code": "ARS",
                        "image": "string",
                        "decimals": 0
                    },
                    "bankProvider": {
                        "name": "BIND",
                        "img": "string"
                    },
                    "wallet": {
                        "id": 0,
                        "balance": 0,
                        "lockedBalance": 0,
                        "investedBalance": 0,
                        "availableBalance": 0,
                        "currency": {
                            "symbol": "string",
                            "code": "ARS",
                            "image": "string",
                            "decimals": 0
                        },
                        "companyId": 0
                    },
                    "hasEcheqs": true
                },
                "description": "string",
                "rawData": null,
                "signatureRequest": {
                    "collaborator": {
                        "id": 0,
                        "firstName": "string",
                        "lastName": "string",
                        "image": "string",
                        "email": "string",
                        "role": "OWNER",
                        "phone": "string",
                        "birthDate": "2019-08-24T14:15:22.123Z",
                        "status": "CREATED"
                    },
                    "signerCollaborator": {
                        "id": 0,
                        "firstName": "string",
                        "lastName": "string",
                        "image": "string",
                        "email": "string",
                        "role": "OWNER",
                        "phone": "string",
                        "birthDate": "2019-08-24T14:15:22.123Z",
                        "status": "CREATED"
                    }
                }
            }
        ],
        "pageSize": 0,
        "cursor": 0,
        "hasMore": true
    }
}
Modified at 2026-02-20 14:08:41
Previous
Read Invoices
Next
Create or get User Address
Built with